Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# StaticType Class Reference

Class that represents the static type of a sub-expression. More...

`#include <StaticResolutionContext.hpp>`

List of all members.

## Public Types

enum | StaticTypeFlags { NODE_TYPE = 0x01, NUMERIC_TYPE = 0x02, OTHER_TYPE = 0x04 }
| Flags that determine what item types are returned from a sub-expression. More...

## Public Methods

void | typeUnion (const StaticType &st)
bool | isNodesOnly () const

## Public Attributes

unsigned int | flags

## Detailed Description

Class that represents the static type of a sub-expression.

## Member Enumeration Documentation

enum StaticType::StaticTypeFlags

Flags that determine what item types are returned from a sub-expression.

Enumeration values:

  NODE_TYPE | Results can contain nodes.
  NUMERIC_TYPE | Results can contain numeric items.
  OTHER_TYPE | Results can contain other items.

## Member Function Documentation

bool StaticType::isNodesOnly | ( |  | ) |

void StaticType::typeUnion | ( | const StaticType & | st | ) |

## Member Data Documentation

unsigned int StaticType::flags

The documentation for this class was generated from the following file:

- StaticResolutionContext.hpp